# Uses of Enum
com.github.lgooddatepicker.components.TimePickerSettings.TimeIncrement

Packages that use TimePickerSettings.TimeIncrement
Package
Description
com.github.lgooddatepicker.components

## Uses of TimePickerSettings.TimeIncrement in com.github.lgooddatepicker.components

Methods in com.github.lgooddatepicker.components that return TimePickerSettings.TimeIncrement
Modifier and Type
Method
Description
`static TimePickerSettings.TimeIncrement`
TimePickerSettings.TimeIncrement.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TimePickerSettings.TimeIncrement[]`
TimePickerSettings.TimeIncrement.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.github.lgooddatepicker.components with parameters of type TimePickerSettings.TimeIncrement
Modifier and Type
Method
Description
`void`
TimePickerSettings.`generatePotentialMenuTimes(TimePickerSettings.TimeIncrement timeIncrement, LocalTime optionalStartTime, LocalTime optionalEndTime)`
generatePotentialMenuTimes, This will generate a list of menu times for populating the combo box menu, using a TimePickerSettings.TimeIncrement value.